{ ... }:
{
  programs.niri.settings = {
    window-rules = [
      {
        matches = [
          { app-id = "^org.kde.polkit-kde-authentication-agent-1$"; }
        ];
        open-floating = true;
      }
      {
        matches = [
          { app-id = "^pavucontrol$"; }
        ];
        open-floating = true;
      }
      {
        matches = [
          { app-id = "^blueman-manager$"; }
        ];
        open-floating = true;
      }
      {
        matches = [
          { app-id = "^nm-connection-editor$"; }
        ];
        open-floating = true;
      }
      {
        matches = [
          { title = "^Picture-in-Picture$"; }
        ];
        open-floating = true;
      }
      {
        matches = [
          { app-id = "^thunar$"; title = "^File Operation Progress$"; }
        ];
        open-floating = true;
      }
      {
        matches = [
          { app-id = "^firefox$"; title = "^Picture-in-Picture$"; }
        ];
        open-floating = true;
      }
      {
        matches = [
          { app-id = "^rofi$"; }
        ];
        open-floating = true;
      }
    ];
  };
}
